ObjectNotFoundException
Keywords: uk.ac.ic.doc.automed.ObjectNotFoundException,ObjectNotFoundException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed
Class ObjectNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--uk.ac.ic.doc.automed.AutoMedException
                        |
                        +--uk.ac.ic.doc.automed.ObjectNotFoundException

All Implemented Interfaces:
  java.io.Serializable

public class ObjectNotFoundException
extends AutoMedException

This exception is generated when a object is requested by name from the repository where no such named object exists in the repository. The name of the object not found may be obtained by the `getObjectName()` method.

Author:
  Peter McBrien (pjm@doc.ic.ac.uk)
See Also:
  Serialized Form

Constructor Summary
`ObjectNotFoundException(java.lang.String objectClass, int objectKey, java.lang.Exception causingException)`
`ObjectNotFoundException(java.lang.String objectClass, java.lang.String objectName)`
`ObjectNotFoundException(java.lang.String objectClass, java.lang.String objectName, java.lang.Exception causingException)`

Method Summary
`java.lang.String` | `getObjectClass()`
`java.lang.String` | `getObjectName()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectNotFoundException

    public ObjectNotFoundException(java.lang.String objectClass,
                                   int objectKey,
                                   java.lang.Exception causingException)

### ObjectNotFoundException

    public ObjectNotFoundException(java.lang.String objectClass,
                                   java.lang.String objectName)

### ObjectNotFoundException

    public ObjectNotFoundException(java.lang.String objectClass,
                                   java.lang.String objectName,
                                   java.lang.Exception causingException)

Method Detail

### getObjectName

    public java.lang.String getObjectName()

### getObjectClass

    public java.lang.String getObjectClass()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD